DiffieHellmanSender (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.key.dh.DiffieHellmanSender,DiffieHellmanSender class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key.dh
Class DiffieHellmanSender

    java.lang.Object
      |
      +--gnu.crypto.key.BaseKeyAgreementParty
            |
            +--gnu.crypto.key.dh.DiffieHellmanKeyAgreement
                  |
                  +--gnu.crypto.key.dh.DiffieHellmanSender

All Implemented Interfaces:
  IKeyAgreementParty

public class DiffieHellmanSender
extends DiffieHellmanKeyAgreement

This implementation is the sender's part of the basic version of the Diffie-Hellman key agreement exchange (A in [HAC]).

See Also:
  `DiffieHellmanKeyAgreement`

Field Summary

Fields inherited from class gnu.crypto.key.dh.DiffieHellmanKeyAgreement
`KA_DIFFIE_HELLMAN_OWNER_PRIVATE_KEY, ownerKey, SOURCE_OF_RANDOMNESS, ZZ`

Fields inherited from class gnu.crypto.key.BaseKeyAgreementParty
`complete, initialised, irnd, name, rnd, step, TWO`

Constructor Summary
`DiffieHellmanSender()`

Method Summary
`protected void` | `engineInit(java.util.Map attributes)`
`protected OutgoingMessage` | `engineProcessMessage(IncomingMessage in)`

Methods inherited from class gnu.crypto.key.dh.DiffieHellmanKeyAgreement
`engineReset, engineSharedSecret`

Methods inherited from class gnu.crypto.key.BaseKeyAgreementParty
`getSharedSecret, init, isComplete, name, nextRandomBytes, processMessage, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiffieHellmanSender

    public DiffieHellmanSender()

Method Detail

### engineInit

    protected void engineInit(java.util.Map attributes)
                       throws KeyAgreementException

  Specified by:
    `engineInit` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

### engineProcessMessage

    protected OutgoingMessage engineProcessMessage(IncomingMessage in)
                                            throws KeyAgreementException

  Specified by:
    `engineProcessMessage` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.